Subject: Re: [bug#64958] [PATCH] gnu: Add emacs-chatgpt-shell.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 31 Jul 2023 22:03:56 +0200

Am Sonntag, dem 30.07.2023 um 22:51 +0200 schrieb Wojtek Kosior:
> Hi!
> 
> > * gnu/packages/emacs-xyz.scm (emacs-chatgpt-shell): New variable.
> 
> Doesn't this package effectively recommend a nonfree
> service-as-a-software-substitute? It'd be better to keep users away
> from such "services". Also, sorry to say, I'm pretty sure this is
> against the Free Software Distribution Guidelines
IANAL, but as far as I understand, having clients for various
"services" out there, even if those services are not distributed as
free software, is permissible.  See some social networking applications
or messengers.  IMHO, we would need a clear guideline for all of them
rather than singling out ChatGPT even if using it is harmful for
everyone involved.

Nicolas, Andrew, WDYT?